import Vue from 'vue'
import Router from 'vue-router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import classA from '@/components/pages/class'
import classGM from '@/components/pages/classGM'
import course from '@/components/pages/course'
import scourse from '@/components/pages/scourse'
import courseGM from '@/components/pages/courseGM'
import courseDetail from '@/components/pages/courseDetail'
import data from '@/components/pages/data'
import dataGM from '@/components/pages/dataGM'
import notice from '@/components/pages/notice'
import student from '@/components/pages/student'
import studentGM from '@/components/pages/studentGM'
import works from '@/components/pages/works'
import worksGM from '@/components/pages/worksGM'
import worksDetail from '@/components/pages/worksDetail'
import login from '@/components/login'
import ask from '@/components/pages/ask'
import addCourse from '@/components/pages/addCourse'
import addCourseGM from '@/components/pages/addCourseGM'
import library from '@/components/pages/library'
import libraryGM from '@/components/pages/libraryGM'
import note from '@/components/pages/note'
import Grid from '@/components/pages/Grid'
import demo from '@/components/pages/demo'
import classRoom from '@/components/pages/classRoom'
import liveRoom from '@/components/pages/liveRoom'
import liveRoomKQ from '@/components/pages/liveRoomKQ'
import addPPt from '@/components/pages/addPPt'
import studyLibrary from '@/components/pages/studyLibrary'
import evaluation from '@/components/pages/evaluation'
import GridList from '@/components/pages/GridList'
import wordList from '@/components/pages/wordList'
import demoPdf from '@/components/pages/demoPdf'
import demoPdf2 from '@/components/pages/demoPdf2'
import audioDemo from '@/components/pages/audioDemo'
import Ttype from '@/components/pages/Ttype'
import TtypeGM from '@/components/pages/TtypeGM'
import Ttype2 from '@/components/pages/Ttype2'
import TtypeOrg from '@/components/pages/TtypeOrg'
import banner from '@/components/pages/banner'
import CaseDesign from '@/components/pages/CaseDesign'
import CaseDesignGM from '@/components/pages/CaseDesignGM'
import eventCenter from '@/components/pages/race/eventCenter'
import addRace from '@/components/pages/race/addRace'
import anliDetail from '@/components/pages/race/eventCenter/anliDetail'
import schoolGM from '@/components/pages/GM/school'
import teacherGM from '@/components/pages/GM/teacher'
import examineGM from '@/components/pages/GM/examine'
import noticeGM from '@/components/pages/GM/notice'
import studentCourse from '@/components/pages/student/course'
import studentCheckCourse from '@/components/pages/student/checkCourse'
import studentAddCourse from '@/components/pages/student/addCourse'
import courseProgress from '@/components/pages/student/courseProgress'
import tcData from '@/components/pages/tencent/data'
import tcSchool from '@/components/pages/tencent/school'
import tcStudent from '@/components/pages/tencent/student'
import tcTeacher from '@/components/pages/tencent/teacher'
import tcNotice from '@/components/pages/tencent/notice'

Vue.use(Router).use(ElementUI)

export default new Router({
    routes: [{
            path: '/class',
            name: 'class',
            component: classA,
            meta: {
                requireAuth: ''
            }
        },{
            path: '/classGM',
            name: 'classGM',
            component: classGM,
            meta: {
                requireAuth: ''
            }
        },
        // {
        //   path: '/',
        //   redirect: '/course',
        // },
        {
            path: '/course',
            component: course,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/scourse',
            component: scourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studentCourse',
            component: studentCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studentCheckCourse',
            component: studentCheckCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studentAddCourse',
            component: studentAddCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/courseProgress',
            component: courseProgress,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/courseGM',
            component: courseGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/course/courseDetail',
            component: courseDetail,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/course/addCourse',
            component: addCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/course/addCourseGM',
            component: addCourseGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/data',
            name: 'data',
            component: data,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/dataGM',
            name: 'dataGM',
            component: dataGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },  {
            path: '/notice',
            name: 'notice',
            component: notice,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/student',
            name: 'student',
            component: student,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studentGM',
            name: 'studentGM',
            component: studentGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/ask',
            name: 'ask',
            component: ask,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/ask/askList',
            name: 'askList',
            component: () =>
                import ('@/components/pages/askList'),
            meta: {}
        },
        {
            path: '/works',
            name: 'works',
            component: works,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/worksGM',
            name: 'worksGM',
            component: worksGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/worksDetail',
            name: 'worksDetail',
            component: worksDetail,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/library',
            name: 'library',
            component: library,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/libraryGM',
            name: 'libraryGM',
            component: libraryGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/login',
            name: 'login',
            component: login,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/note',
            name: 'note',
            component: note,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/Grid',
            name: 'Grid',
            component: Grid,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/demo',
            name: 'demo',
            component: demo,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/classRoom',
            name: 'classRoom',
            component: classRoom,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/liveRoom',
            name: 'liveRoom',
            component: liveRoom,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/liveRoomKQ',
            name: 'liveRoomKQ',
            component: liveRoomKQ,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/addPPt',
            name: 'addPPt',
            component: addPPt,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/studyLibrary',
            name: 'studyLibrary',
            component: studyLibrary,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/evaluation',
            name: 'evaluation',
            component: evaluation,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/GridList',
            name: 'GridList',
            component: GridList,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/wordList',
            name: 'wordList',
            component: wordList,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/demoPdf',
            name: 'demoPdf',
            component: demoPdf,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/demoPdf2',
            name: 'demoPdf2',
            component: demoPdf2,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/audioDemo',
            name: 'audioDemo',
            component: audioDemo,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/Ttype',
            name: 'Ttype',
            component: Ttype,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/TtypeGM',
            name: 'TtypeGM',
            component: TtypeGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },{
            path: '/Ttype2',
            name: 'Ttype2',
            component: Ttype2,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/TtypeOrg',
            name: 'TtypeOrg',
            component: TtypeOrg,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/banner',
            name: 'banner',
            component: banner,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/CaseDesign',
            name: 'CaseDesign',
            component: CaseDesign,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },{
            path: '/CaseDesignGM',
            name: 'CaseDesignGM',
            component: CaseDesignGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/eventCenter',
            name: 'eventCenter',
            component: eventCenter,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/addRace',
            name: 'addRace',
            component: addRace,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/anliDetail',
            name: 'anliDetail',
            component: anliDetail,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/schoolGM',
            name: 'schoolGM',
            component: schoolGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/teacherGM',
            name: 'teacherGM',
            component: teacherGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/examineGM',
            name: 'examineGM',
            component: examineGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/noticeGM',
            name: 'noticeGM',
            component: noticeGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/tcData',
            name: 'tcData',
            component: tcData,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/tcSchool',
            name: 'tcSchool',
            component: tcSchool,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/tcStudent',
            name: 'tcStudent',
            component: tcStudent,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/tcTeacher',
            name: 'tcTeacher',
            component: tcTeacher,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/tcNotice',
            name: 'tcNotice',
            component: tcNotice,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
    ]
})